Bug 519709 - livecd should be able to build SELinux livecd on disabled hosts
Summary: livecd should be able to build SELinux livecd on disabled hosts
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Huff
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 13:57 UTC by Daniel Walsh
Modified: 2013-01-10 05:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-16 05:31:05 UTC


Attachments (Terms of Use)
THis patch removes check to see if SELinux is enabled and switches restorecon to setfiles. (1.60 KB, application/octet-stream)
2009-08-27 13:57 UTC, Daniel Walsh
no flags Details
Allow building SELinux LiveCD from non-SELinux hosts (1.49 KB, patch)
2010-08-04 17:28 UTC, Jasper O'neal Hartline
no flags Details | Diff

Description Daniel Walsh 2009-08-27 13:57:21 UTC
Created attachment 358877 [details]
THis patch removes check to see if SELinux is enabled and switches restorecon to setfiles.

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2009-08-27 13:58:28 UTC
setfiles can lay down labels on machines with SELinux disabled.

If the livecd is broken it is probably the fault of one of the rpm packages.

Theoretically this should just work.

Comment 2 Bug Zapper 2009-11-16 11:45:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Admin XMLRPC Client 2010-05-07 15:41:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Jasper O'neal Hartline 2010-08-04 17:26:02 UTC
Can we try to merge this to git.
I have went ahead and tested the patch and update it to apply clean against what is in git.

I have confirmed that if selinux-policy-targeted and policycoreutils are installed with the kickstart file used with livecd-creator the files inside the Live image have contexts properly set.

This is with SELinux disabled on my host machine. Please apply.

Comment 5 Jasper O'neal Hartline 2010-08-04 17:28:02 UTC
Created attachment 436610 [details]
Allow building SELinux LiveCD from non-SELinux hosts

Tested, works.

Comment 6 Jasper O'neal Hartline 2010-08-16 05:28:17 UTC
Committed to git.
Aug 15 2010

Thanks Dan.


Note You need to log in before you can comment on or make changes to this bug.